"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require("./");
const fs_1 = require("fs");
const util_1 = require("util");
const read = util_1.promisify(fs_1.readFile);
function readFromPipe() {
    return __awaiter(this, void 0, void 0, function* () {
        return new Promise((resolve, reject) => {
            const stdin = process.openStdin();
            let data = "";
            stdin.on("data", chunk => {
                data += chunk.toString("utf-8");
            });
            stdin.on("error", err => reject(err));
            stdin.on("end", () => resolve(data));
        });
    });
}
function main(input) {
    return __awaiter(this, void 0, void 0, function* () {
        let str;
        if (input) {
            str = yield read(input, "utf-8");
        }
        else {
            str = yield readFromPipe();
        }
        console.log(_1.beautify(str));
    });
}
main(process.argv[2]).catch(err => {
    console.error(err);
    process.exit(1);
});
